from django import forms
from main.models import CustomUser, PermitApplication

class UserForm(forms.ModelForm):
    class Meta:
        model = CustomUser
        fields = [
            'username',
            'password',
            'tanggal_lahir',
            'nomor_hp',
            'email',
            'url_blog',
            'deskripsi_diri',
            'npwp',
            'no_kk',
            'role'
        ]
        widgets = {
            'password': forms.PasswordInput(),
            'tanggal_lahir': forms.DateInput(attrs={'type': 'date'}),
            'deskripsi_diri': forms.Textarea(attrs={'rows': 4}),
        }

class PermitApplicationForm(forms.ModelForm):
    class Meta:
        model = PermitApplication
        fields = ['permit_type', 'file']