from django.core.management.base import BaseCommand
from main.models import PermitType

class Command(BaseCommand):
    help = 'Creates dummy permit types'

    def handle(self, *args, **options):
        permit_types = [
            {'name': 'Surat Keterangan Domisili'},
            {'name': 'Surat Izin Usaha'},
            {'name': 'Surat Keterangan Tidak Mampu'},
            {'name': 'Surat Keterangan Kelakuan Baik'},
        ]

        for permit_type_data in permit_types:
            permit_type, created = PermitType.objects.get_or_create(**permit_type_data)
            if created:
                self.stdout.write(self.style.SUCCESS(f"Created permit type: {permit_type.name}"))
            else:
                self.stdout.write(self.style.WARNING(f"Permit type already exists: {permit_type.name}"))
