# Generated by Django 5.1.7 on 2025-03-17 04:15

import django.contrib.auth.models
import django.contrib.auth.validators
import django.core.validators
import django.utils.timezone
import main.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, unique=True, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=150, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('nama', models.CharField(help_text='Nama hanya boleh berisi huruf, angka, dan karakter (".", "_", "-").', max_length=255, validators=[django.core.validators.RegexValidator(message='Nama hanya boleh berisi huruf, angka, dan karakter (".", "_", "-").', regex='^[A-Za-z0-9._-]+$')])),
                ('password', models.CharField(help_text='Password minimal 8 karakter, boleh mengandung huruf, angka, dan karakter spesial.', max_length=255, validators=[django.core.validators.RegexValidator(message='Password minimal 8 karakter, boleh mengandung huruf, angka, dan karakter spesial.', regex='.{8,}')])),
                ('tanggal_lahir', models.DateField(help_text='User harus berusia minimal 12 tahun.', validators=[main.models.validate_age])),
                ('nomor_hp', models.CharField(help_text="Format: kode negara dan nomor telepon tanpa '+' atau '-' (contoh: 62123456).", max_length=15, validators=[django.core.validators.RegexValidator(message='Nomor HP harus terdiri dari 8 hingga 15 digit tanpa spasi atau karakter lain.', regex='^\\d{8,15}$')])),
                ('email', models.CharField(help_text='Email sesuai dengan format email valid.', max_length=255, validators=[django.core.validators.RegexValidator(message='Masukkan email yang valid.', regex='^[\\w\\.-]+@[\\w\\.-]+\\.\\w{2,}$')])),
                ('url_blog', models.CharField(help_text='URL Blog harus valid.', max_length=255, validators=[django.core.validators.RegexValidator(message='Masukkan URL blog yang valid dan secure.', regex='^(https?://)?([\\da-z\\.-]+)\\.([a-z\\.]{2,6})([/\\w \\.-]*)*/?$')])),
                ('deskripsi_diri', models.TextField(help_text='Deskripsi Diri antara 5 hingga 1000 karakter.', validators=[django.core.validators.RegexValidator(message='Deskripsi Diri antara 5 hingga 1000 karakter.', regex='^.{5,1000}$')])),
                ('npwp', models.CharField(help_text='Contoh format: 12.345.678.9-012.345', max_length=20, validators=[django.core.validators.RegexValidator(message='NPWP harus memiliki format XX.XXX.XXX.X-XXX.XXX dimana X adalah angka.', regex='^\\d{2}\\.\\d{3}\\.\\d{3}\\.\\d{1}-\\d{3}\\.\\d{3}$')])),
                ('no_kk', models.CharField(help_text='Masukkan No. KK yang valid, 16 digit angka.', max_length=16, validators=[django.core.validators.RegexValidator(message='No. KK harus terdiri dari 16 digit.', regex='^\\d{16}$')])),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'user',
                'verbose_name_plural': 'users',
                'abstract': False,
            },
            managers=[
                ('objects', django.contrib.auth.models.UserManager()),
            ],
        ),
    ]
