from django.urls import path
from . import views

app_name = 'main'

urlpatterns = [
    path('', views.login_user, name='login'),
    path('register/', views.register, name='register'),
    path('logout/', views.logout_user, name='logout'),
    path('profile/', views.show_info, name='profile'),
    path('profile/<int:user_id>/', views.applicant_profile, name='view_profile'),
    path('warga/', views.warga_main, name='warga_main'),
    path('pegawai/', views.pegawai_main, name='pegawai_main'),
    path('permits/submit/', views.submit_permit, name='submit_permit'),
    path('permits/<int:permit_id>/approve/', views.approve_permit, name='approve_permit'),
    path('permits/<int:permit_id>/reject/', views.reject_permit, name='reject_permit'),
    path('permits/history/', views.permit_history, name='permit_history'),
]